Bug 996675 - RTGov server -OR- RTGov client - users need a way to determine which is installed
RTGov server -OR- RTGov client - users need a way to determine which is insta...
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER2
: ---
Assigned To: Thomas Hauser
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 12:55 EDT by Len DiMaggio
Modified: 2018-03-29 17:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-08-13 12:55:03 EDT
Description of problem:

The new installer will support installing RTGov server -OR- RTGov client (mututally exclusive).

Users will need to have a way (post-install) to determine which is installed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thomas Hauser 2013-08-26 14:02:39 EDT
New installer is set up in the following way:
a) RT-gov server and RT-gov client are provided as separate zips. Thus, it is now possible to select then independently of SOA (with restrictions) 
b) The client and server are now mutually exclusive.
c) Choosing to install the client now requests the RT-gov server's location.
Comment 2 Len DiMaggio 2013-09-23 12:18:33 EDT
Question - after an installation has been completed - does a user have an easy way of determining which (RTGov server or RTGov client) is installed on a running system?
Comment 3 Thomas Hauser 2013-09-30 10:31:48 EDT
Len, I would answer "no" to the above question. I guess that the user could manually check which wars / files are present, but that's hardly easy. What solution do you propose?
Comment 5 Julian Coleman 2013-10-07 11:33:00 EDT
We could append the list of components installed to version.txt, as we already do for FSW.  So, for each checked item, a line would be appended there, for example:

  JBoss Enterprise Application Platform - Version 6.1.0.GA
  Red Hat JBoss Fuse Service Works - Version 6.0.0.ER4-redhat-1
  Red Hat JBoss RT-Gov Server - Version 6.0.0.ER4-redhat-1
  Red Hat JBoss S-RAMP Server - Version 6.0.0.ER4-redhat-1

However, some components don't equate to a platform, so perhaps creating a separate components.txt file would be better, for example:

  FSW
  RTGov-client
  SRAMP
  DTGov
Comment 8 Thomas Hauser 2013-11-13 12:32:07 EST
The fix for this depends on a decision re: the above comments.

Note You need to log in before you can comment on or make changes to this bug.